Panda3D

Loading...
Searching...
No Matches
Classes | Functions
bamEnums.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`

Go to the source code of this file.

## Classes
class | BamEnums
| This class exists just to provide scoping for the enums shared by BamReader and BamWriter. More...

## Functions
EXPCL_PANDA_PUTIL std::ostream & | operator<< (std::ostream &out, BamEnums::BamEndian be)
EXPCL_PANDA_PUTIL std::ostream & | operator<< (std::ostream &out, BamEnums::BamObjectCode boc)
EXPCL_PANDA_PUTIL std::ostream & | operator<< (std::ostream &out, BamEnums::BamTextureMode btm)
EXPCL_PANDA_PUTIL std::istream & | operator>> (std::istream &in, BamEnums::BamEndian &be)
EXPCL_PANDA_PUTIL std::istream & | operator>> (std::istream &in, BamEnums::BamTextureMode &btm)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2009-02-26

Definition in file bamEnums.h.

## Function Documentation

## ◆ operator<<() [1/3]

EXPCL_PANDA_PUTIL std::ostream & operator<< | ( | std::ostream & | out,
|  | BamEnums::BamEndian | be )

Definition at line 22 of file bamEnums.cxx.

## ◆ operator<<() [2/3]

EXPCL_PANDA_PUTIL std::ostream & operator<< | ( | std::ostream & | out,
|  | BamEnums::BamObjectCode | boc )

Definition at line 58 of file bamEnums.cxx.

## ◆ operator<<() [3/3]

EXPCL_PANDA_PUTIL std::ostream & operator<< | ( | std::ostream & | out,
|  | BamEnums::BamTextureMode | btm )

Definition at line 80 of file bamEnums.cxx.

## ◆ operator>>() [1/2]

EXPCL_PANDA_PUTIL std::istream & operator>> | ( | std::istream & | in,
|  | BamEnums::BamEndian & | be )

Definition at line 36 of file bamEnums.cxx.

## ◆ operator>>() [2/2]

EXPCL_PANDA_PUTIL std::istream & operator>> | ( | std::istream & | in,
|  | BamEnums::BamTextureMode & | btm )

Definition at line 103 of file bamEnums.cxx.